org.apache.sling.hapi.client

## Class ClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.hapi.client.ClientException

All Implemented Interfaces:
  Serializable

    public class ClientException
    extends Exception

An HTTP client exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientException(String message)`
`ClientException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientException

    public ClientException(String message,
                   Throwable cause)

#### ClientException

    public ClientException(String message)